org.eclipse.graphiti.func

## Interface IRemove

All Known Subinterfaces:
  IPattern, IRemoveFeature

All Known Implementing Classes:
  AbstractPattern, DefaultRemoveFeature, IdPattern, RemoveFeatureForPattern, TypedPattern

    public interface IRemove

Instances of this interface provide the behavior to remove objects. Removing means removing the graphical representation of a business object from the diagram while keeping the business object itself as it is.

Since:
  0.8.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canRemove(IRemoveContext context)` Checks if given object could be removed.
`boolean` `isRemoveAbort()` The Graphiti framework will call this method after `preRemove(IRemoveContext)` has been called and before the actual remove is done.
`void` `postRemove(IRemoveContext context)` called after remove call.
`void` `preRemove(IRemoveContext context)` called prior to remove call.
`void` `remove(IRemoveContext context)` Remove the given object.

### Method Detail

#### canRemove

    boolean canRemove(IRemoveContext context)

Checks if given object could be removed.

Parameters:
  `context` - contains object to remove
Returns:
  true if remove is possible

#### preRemove

    void preRemove(IRemoveContext context)

called prior to remove call.

Parameters:
  `context` - the context

#### isRemoveAbort

    boolean isRemoveAbort()

The Graphiti framework will call this method after `preRemove(IRemoveContext)` has been called and before the actual remove is done. In case this method returns `true`, the operation will be cancelled by the Graphiti framework by throwing an `OperationCanceledException` that causes am EMF revert of the operation.

Implementing classes might e.g. set a flag in `preRemove(IRemoveContext)` as cancellation indication and check that that flag here.

Returns:
  `true` in case you want to cancel the current operation, `false` otherwise.
Since:
  0.12

#### remove

    void remove(IRemoveContext context)

Remove the given object.

Parameters:
  `context` - contains object to remove

#### postRemove

    void postRemove(IRemoveContext context)

called after remove call.

Parameters:
  `context` - the context